Package io.papermc.paper.enchantments

# Enum Class EnchantmentRarity

java.lang.Object
java.lang.Enum<EnchantmentRarity>
io.papermc.paper.enchantments.EnchantmentRarity

All Implemented Interfaces:
  `Serializable`, `Comparable<EnchantmentRarity>`, `Constable`

public enum EnchantmentRarity extends Enum<EnchantmentRarity>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMON`
`RARE`
`UNCOMMON`
`VERY_RARE`

## Method Summary

Modifier and Type
Method
Description
`int`
`getWeight()`
Gets the weight for the rarity.
`static EnchantmentRarity`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EnchantmentRarity[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMON

public static final EnchantmentRarity COMMON

### UNCOMMON

public static final EnchantmentRarity UNCOMMON

### RARE

public static final EnchantmentRarity RARE

### VERY_RARE

public static final EnchantmentRarity VERY_RARE

## Method Details

### values

public static EnchantmentRarity[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EnchantmentRarity valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getWeight

public int getWeight()
Gets the weight for the rarity.

Returns:
  the weight